"use strict";
// ------------------------------
// -------- E R R O R S ---------
// ------------------------------
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.version = void 0;
const error_1 = require("./src/error");
// Get the node version
if (+process.version.slice(1, 3) - 0 < 16)
    throw new error_1.SimplyError({
        function: 'simply-djs [CORE]',
        title: `NodeJS Version 16 or newer is required, but you are using ${process.version}.`,
        tip: `Install nodejs 16 or higher in https://nodejs.org/`
    });
try {
    require('discord.js');
}
catch (e) {
    // Emit a warning if there is no discord.js
    process.emitWarning(new error_1.SimplyError({
        function: 'simply-djs [CORE]',
        title: 'Discord.JS is required for this package to run',
        tip: 'This package is optimized to run with discord.js'
    }));
}
const { version: discordJSVersion } = require(require('path').join(require.resolve('discord.js'), '..', '..', 'package.json'));
// Get Discord.JS version using their package.json
if (Number(discordJSVersion.slice(0, 2)) < 14)
    throw new error_1.SimplyError({
        function: 'simply-djs [CORE]',
        title: `Discord.JS version 14.x.x is required, but you are using ${discordJSVersion}. See https://www.npmjs.com/package/discord.js`,
        tip: 'This package is not optimized for Discord.JS v13 or lower. Please use simply-djs v3.0.2 for Discord.JS v13 support'
    });
// ------------------------------
// ------- E X P O R T S --------
// ------------------------------
exports.version = '4.0.0-beta-5';
__exportStar(require("./src/misc"), exports);
__exportStar(require("./src/typedef"), exports);
__exportStar(require("./src/meme"), exports);
__exportStar(require("./src/betterBtnRole"), exports);
__exportStar(require("./src/btnRole"), exports);
__exportStar(require("./src/bumpReminder"), exports);
__exportStar(require("./src/calculator"), exports);
__exportStar(require("./src/connect"), exports);
__exportStar(require("./src/chatbot"), exports);
__exportStar(require("./src/embedCreator"), exports);
__exportStar(require("./src/buttonPages"), exports);
__exportStar(require("./src/ghostPing"), exports);
__exportStar(require("./src/giveaway"), exports);
__exportStar(require("./src/menuPages"), exports);
__exportStar(require("./src/rps"), exports);
__exportStar(require("./src/starboard"), exports);
__exportStar(require("./src/suggest"), exports);
__exportStar(require("./src/ticketSetup"), exports);
__exportStar(require("./src/tictactoe"), exports);
// ------------------------------
// ------ H A N D L E R S -------
// ------------------------------
__exportStar(require("./src/handler/manageBtnRole"), exports);
__exportStar(require("./src/handler/manageGiveaway"), exports);
__exportStar(require("./src/handler/manageTicket"), exports);
__exportStar(require("./src/handler/manageSuggest"), exports);
// ------------------------------
// ---- D E P R E C A T E D -----
// ------------------------------
__exportStar(require("./src/deprecated/DEP-stealEmoji"), exports);
__exportStar(require("./src/deprecated/DEP-bumpSystem"), exports);
__exportStar(require("./src/deprecated/DEP-embedPages"), exports);
__exportStar(require("./src/deprecated/DEP-ticketSystem"), exports);
__exportStar(require("./src/deprecated/DEP-suggestSystem"), exports);
__exportStar(require("./src/deprecated/DEP-embedCreate"), exports);
__exportStar(require("./src/deprecated/DEP-giveawaySystem"), exports);
__exportStar(require("./src/deprecated/DEP-manageBtn"), exports);
__exportStar(require("./src/deprecated/DEP-manageSug"), exports);
__exportStar(require("./src/deprecated/DEP-nqn"), exports);
