"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SimplyError = void 0;
class SimplyError extends Error {
    /**
     * Emit errors and provide sufficient details to help users debug easily
     * @param {String} function
     * @param {String} title
     * @param {String} tip
     */
    constructor(options = {
        tip: 'Get ya help here -> [https://discord.gg/3JzDV9T5Fn]'
    }) {
        const msg = `SimplyError - ${options.function} | ${options.title}\n\n${options.tip}`;
        super(msg);
    }
}
exports.SimplyError = SimplyError;
Object.defineProperty(SimplyError.prototype, 'name', {
    value: 'SimplyError'
});
