"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.disableButtons = void 0;
const discord_js_1 = require("discord.js");
/**
 * Disable all buttons in a row
 * @param components
 * @link `Documentation:` https://simplyd.js.org/docs/misc/disableButtons
 * @example simplydjs.disableButtons(row)
 */
function disableButtons(components) {
    // Take all components in for loop
    for (let x = 0; x < components.length; x++) {
        for (let y = 0; y < components[x].components.length; y++) {
            // Make then into ButtonBuilder
            components[x].components[y] = discord_js_1.ButtonBuilder.from(components[x].components[y]);
            // Disable the button
            components[x].components[y].setDisabled(true);
        }
    }
    return components;
}
exports.disableButtons = disableButtons;
