import { Role } from 'discord.js';
import { ExtendedInteraction, ExtendedMessage, CustomizableEmbed, CustomizableButton } from './typedef';
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/general/btnRole#buttons
 */
export declare type BtnRoleButtons = {
    role?: string | Role;
    url?: `https://${string}`;
} & CustomizableButton;
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/general/btnRole#btnroleoptions
 */
export declare type btnRoleOptions = {
    embed?: CustomizableEmbed;
    content?: string;
    data?: BtnRoleButtons[];
    strict?: boolean;
};
/**
 * A **Button Role System** that lets you create button roles with your own message. | *Requires: [**manageBtn()**](https://simplyd.js.org/docs/handler/manageBtn)*
 * @param msgOrInt
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/general/btnRole
 * @example simplydjs.btnRole(message, { data: [{...}] })
 */
export declare function btnRole(msgOrInt: ExtendedMessage | ExtendedInteraction, options?: btnRoleOptions): Promise<boolean>;
