import { EmbedBuilder, ButtonBuilder, ActionRowBuilder } from 'discord.js';
import { ExtendedInteraction, ExtendedMessage, CustomizableButton } from './typedef';
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/general/buttonPages#pagebuttons
 */
export interface Pagebuttons {
    first?: CustomizableButton;
    next?: CustomizableButton;
    back?: CustomizableButton;
    last?: CustomizableButton;
    delete?: CustomizableButton;
}
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/general/buttonPages#pagesoptions
 */
export declare type pagesOptions = {
    buttons?: Pagebuttons;
    skips?: boolean;
    delete?: boolean;
    dynamic?: boolean;
    count?: boolean;
    rows?: ActionRowBuilder<ButtonBuilder>[];
    embeds?: EmbedBuilder[];
    timeout?: number;
    disable?: 'Label' | 'Emoji' | 'None';
    strict?: boolean;
};
/**
 * An *powerful yet customizable* **Embed Paginator**
 *
 * @param msgOrInt
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/general/buttonPages
 * @example simplydjs.buttonPages(interaction, [embed1, embed2] )
 */
export declare function buttonPages(msgOrInt: ExtendedMessage | ExtendedInteraction, options?: pagesOptions): Promise<void>;
