import { ExtendedInteraction, ExtendedMessage, CustomizableEmbed, ExtendedButtonStyle } from './typedef';
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/general/calculator#calculatorbuttons
 */
export interface CalculatorButtons {
    numbers?: ExtendedButtonStyle;
    symbols?: ExtendedButtonStyle;
    delete?: ExtendedButtonStyle;
}
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/general/calculator#calculatoroptions
 */
export declare type calculatorOptions = {
    embed?: CustomizableEmbed;
    buttons?: CalculatorButtons;
    strict?: boolean;
};
/**
 * An Unique **calculator** which can be *used inside Discord*
 * @param msgOrInt
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/general/calculator
 * @example simplydjs.calculator(interaction)
 */
export declare function calculator(msgOrInt: ExtendedMessage | ExtendedInteraction, options?: calculatorOptions): Promise<void>;
