import { ExtendedMessage } from './typedef';
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/fun/chatbot#chatbotoptions
 */
export declare type chatbotOptions = {
    strict?: boolean;
    channelId?: string | string[];
    toggle?: boolean;
    name?: string;
    developer?: string;
    gptToken?: string;
};
/**
 * A chatbot system that is both technically advanced and intelligent, and is your buddy.
 *
 * Implements a chatbot feature using an external API to generate responses to user messages.
 *
 * @param message
 * @param options
 *
 * @link `Documentation:` https://simplyd.js.org/docs/Fun/chatbot
 * @example simplydjs.chatbot(client, message)
 */
export declare function chatbot(message: ExtendedMessage, options?: chatbotOptions): Promise<void>;
