import { APIEmbed } from 'discord.js';
import { ExtendedInteraction, ExtendedMessage, CustomizableEmbed } from './typedef';
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/general/embedCreator#embedcreatoroptions
 */
export declare type embedCreatorOptions = {
    strict?: boolean;
    embed?: CustomizableEmbed;
};
/**
 * Lets you create embeds with **an interactive builder**
 * @param msgOrInt
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/general/embedCreator
 * @example simplydjs.embedCreate(interaction)
 */
export declare function embedCreator(msgOrInt: ExtendedMessage | ExtendedInteraction, options?: embedCreatorOptions): Promise<APIEmbed>;
