import { Message, User } from 'discord.js';
import { CustomizableEmbed } from './typedef';
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/general/ghostPing#ghostoptions
 */
export declare type ghostOptions = {
    strict: boolean;
    embed?: CustomizableEmbed;
};
/**
 * A Great system to see **who ghost pinged**
 *
 * **Important!**: Use it in `messageDelete` event
 *
 * @param message
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/general/ghostPing
 * @example simplydjs.ghostPing(message)
 */
export declare function ghostPing(message: Message, options?: ghostOptions): Promise<User>;
