import { ButtonInteraction } from 'discord.js';
import { CustomizableEmbed } from '../typedef';
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/handler/manageSuggest#suggestionembeds
 */
export interface SuggestionEmbeds {
    accept?: CustomizableEmbed;
    deny?: CustomizableEmbed;
}
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/handler/manageSuggest#managesuggestoptions
 */
export declare type manageSuggestOptions = {
    embed?: SuggestionEmbeds;
    strict?: boolean;
};
/**
 * A **Suggestion** handler which handles all sugestions from the package
 * @param button
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/handler/manageSuggest
 * @example simplydjs.manageSuggest(interaction)
 */
export declare function manageSuggest(button: ButtonInteraction, options?: manageSuggestOptions): Promise<void>;
