import { EmbedBuilder, ActionRowBuilder, StringSelectMenuBuilder } from 'discord.js';
import { ExtendedInteraction, ExtendedMessage } from './typedef';
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/general/menuPages#deleteoption
 */
export interface DeleteOption {
    enable?: boolean;
    label?: string;
    description?: string;
    emoji?: string;
}
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/general/menuPages#dataobject
 */
export interface Pagemenus {
    label?: string;
    description?: string;
    embed?: EmbedBuilder;
    emoji?: string;
}
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/general/menuPages#menupagesoption
 */
export declare type menuPagesOptions = {
    type?: 'Send' | 'Edit';
    rows?: ActionRowBuilder<StringSelectMenuBuilder>[];
    embed?: EmbedBuilder;
    delete?: DeleteOption;
    data?: Pagemenus[];
    placeHolder?: string;
    strict?: boolean;
};
/**
 * An Embed paginator using Select Menus
 * @param msgOrInt
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/general/menuPages
 * @example simplydjs.menuPages(interaction, { data: [{...}] })
 */
export declare function menuPages(msgOrInt: ExtendedMessage | ExtendedInteraction, options?: menuPagesOptions): Promise<void>;
