import { TextChannel, GuildMember } from 'discord.js';
import { ExtendedInteraction, ExtendedMessage, CustomizableEmbed, CustomizableButton } from './typedef';
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/systems/suggest#suggestbuttons
 */
export interface SuggestButtons {
    votedInfo?: CustomizableButton;
    upvote?: CustomizableButton;
    downvote?: CustomizableButton;
}
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/systems/suggest#progress
 */
export interface Progress {
    up: string;
    down: string;
    blank: string;
}
/**
 * **Documentation Url** of the type: https://simplyd.js.org/docs/systems/suggest#suggestoptions
 */
export declare type suggestOptions = {
    embed?: CustomizableEmbed;
    channelId?: string | TextChannel;
    suggestion?: string;
    buttons?: SuggestButtons;
    progress?: Progress;
    strict: boolean;
};
export declare type SuggestResolve = {
    suggestion: string;
    channel: TextChannel;
    user: GuildMember;
};
/**
 * An **Beautiful** suggestion system with buttons ;D | *Requires: [**manageSug()**](https://simplyd.js.org/docs/handler/manageSug)*
 * @param msgOrint
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/systems/suggestSystem
 * @example simplydjs.suggestSystem(interaction, { channelId: '1234567890123' })
 */
export declare function suggest(msgOrint: ExtendedMessage | ExtendedInteraction, options?: suggestOptions): Promise<SuggestResolve>;
