import { ExtendedInteraction, ExtendedMessage, CustomizableEmbed, CustomizableButton } from './typedef';
/**
 * **Documentation Url** of the options: https://simplyd.js.org/docs/systems/ticketSetup#ticketsetupoptions
 */
export declare type ticketSetupOptions = {
    embed?: CustomizableEmbed;
    button?: CustomizableButton;
    channelId?: string;
    strict: boolean;
};
/**
 * A Flexible yet Powerful Ticket System | *Requires: [**manageBtn()**](https://simplyd.js.org/docs/handler/manageBtn)*
 *
 * @param msgOrint
 * @param options
 * @link `Documentation:` https://simplyd.js.org/docs/systems/ticketSetup
 * @example simplydjs.ticketSetup(interaction, { channelId: '0123456789012' })
 */
export declare function ticketSetup(msgOrint: ExtendedMessage | ExtendedInteraction, options?: ticketSetupOptions): Promise<void>;
